Bug 158431 - Remove hasStaticPropertyTable, or make it constexpr
Summary: Remove hasStaticPropertyTable, or make it constexpr
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gavin Barraclough
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-06 12:08 PDT by Gavin Barraclough
Modified: 2016-06-19 17:04 PDT (History)
3 users (show)

See Also:


Attachments
Remove hasStaticPropertyTable (part 1: DOM bindings) (2.61 KB, patch)
2016-06-11 21:42 PDT, Gavin Barraclough
cdumez: review+
Details | Formatted Diff | Diff
Remove hasStaticPropertyTable (part 2: JSPluginElement) (2.39 KB, patch)
2016-06-11 21:43 PDT, Gavin Barraclough
cdumez: review+
Details | Formatted Diff | Diff
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate) (4.64 KB, patch)
2016-06-11 21:43 PDT, Gavin Barraclough
buildbot: commit-queue-
Details | Formatted Diff | Diff
Remove hasStaticPropertyTable (part 4: JSHTMLDocument & JSStorage) (3.52 KB, patch)
2016-06-11 21:44 PDT, Gavin Barraclough
cdumez: review+
Details | Formatted Diff | Diff
Archive of layout-test-results from ews112 for mac-yosemite (1.43 MB, application/zip)
2016-06-11 22:46 PDT, Build Bot
no flags Details
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate) (4.67 KB, patch)
2016-06-11 22:50 PDT, Gavin Barraclough
ggaren: review+
Details | Formatted Diff | Diff
Remove hasStaticPropertyTable (part 5: done!) (17.59 KB, patch)
2016-06-14 00:44 PDT, Gavin Barraclough
cdumez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Barraclough 2016-06-06 12:08:05 PDT
I think this is mostly used in asserts, which from a quick look are mostly wrong wrong. If we do need be checking anything, we can probably use the HasStaticPropertyTable flag in JSTypeInfo.

If this is not removed, should be made constexpr.
Comment 1 Gavin Barraclough 2016-06-11 21:42:24 PDT
Created attachment 281119 [details]
Remove hasStaticPropertyTable (part 1: DOM bindings)
Comment 2 Gavin Barraclough 2016-06-11 21:43:00 PDT
Created attachment 281120 [details]
Remove hasStaticPropertyTable (part 2: JSPluginElement)
Comment 3 Gavin Barraclough 2016-06-11 21:43:38 PDT
Created attachment 281121 [details]
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate)
Comment 4 Gavin Barraclough 2016-06-11 21:44:07 PDT
Created attachment 281122 [details]
Remove hasStaticPropertyTable (part 4: JSHTMLDocument & JSStorage)
Comment 5 Build Bot 2016-06-11 22:46:16 PDT
Comment on attachment 281121 [details]
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate)

Attachment 281121 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1487534

New failing tests:
storage/indexeddb/transaction-complete-workers.html
Comment 6 Build Bot 2016-06-11 22:46:18 PDT
Created attachment 281123 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Gavin Barraclough 2016-06-11 22:50:33 PDT
Created attachment 281124 [details]
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate)
Comment 8 Chris Dumez 2016-06-13 09:07:39 PDT
Comment on attachment 281119 [details]
Remove hasStaticPropertyTable (part 1: DOM bindings)

R=me
Comment 9 Chris Dumez 2016-06-13 09:10:34 PDT
Comment on attachment 281120 [details]
Remove hasStaticPropertyTable (part 2: JSPluginElement)

R=me, I confirmed this is indeed a no-op.
Comment 10 Chris Dumez 2016-06-13 09:11:49 PDT
Comment on attachment 281122 [details]
Remove hasStaticPropertyTable (part 4: JSHTMLDocument & JSStorage)

R=me, I added those :) Do we still need the hasStaticPropertyTable flag in the bindings?
Comment 11 Gavin Barraclough 2016-06-13 10:07:44 PDT
(In reply to comment #10)
> Comment on attachment 281122 [details]
> Remove hasStaticPropertyTable (part 4: JSHTMLDocument & JSStorage)
> 
> R=me, I added those :) Do we still need the hasStaticPropertyTable flag in
> the bindings?

No - won't need any more - after I've landed these 4 I'll upload a 5th patch to remove from the bindings.
Comment 12 Geoffrey Garen 2016-06-13 13:52:27 PDT
Comment on attachment 281124 [details]
Remove hasStaticPropertyTable (part 3: JSLocation::putDelegate)

r=me
Comment 13 Gavin Barraclough 2016-06-13 23:28:14 PDT
Part 1: Committed revision 202028.
Part 2: Committed revision 202029.
Part 3: Committed revision 202030.
Part 4: Committed revision 202031.
Comment 14 Gavin Barraclough 2016-06-13 23:35:19 PDT
Build fix in r202032.
Comment 15 Gavin Barraclough 2016-06-14 00:44:27 PDT
Created attachment 281242 [details]
Remove hasStaticPropertyTable (part 5: done!)
Comment 16 Chris Dumez 2016-06-14 09:16:25 PDT
Comment on attachment 281242 [details]
Remove hasStaticPropertyTable (part 5: done!)

R=me
Comment 17 Gavin Barraclough 2016-06-19 17:04:12 PDT
Committed revision 202218.